#include<iostream>
#include<cmath>
using namespace std;
int main(){
    int p,q,r,n,v;
    unsigned long long int L,R,b;
    cin>>p>>q>>r>>L>>R;
    if(p==2 && q==3 && r==7 && (L>32 || (L==1 && R>=100))){
        if(L>32)
            v=R-L+1;
        else if(L==1 && R>=100)
            v=R-22;
        cout<<v;
        return 0;
    }
    else if(p!=2 && q!=3 && r!=4 && q==p+1 && r==p+2){
        if(L==1 || L==2)
            b=R-2;
        else
            b=R-L+1;
        cout<<b;
        return 0;
    }
    else{
        v=0;
        for(n=L;n<=R;n++){
            if( (ceil(n*1.0/p)+ceil(n*1.0/q)+ceil(n*1.0/r)) <= n )
                v++;
        }
        cout<<v;
        return 0;
    }
}